<?php 
session_start();
foreach($_GET as $campo => $valor){${$campo}=trim($valor);} 
foreach($_POST as $campo => $valor){${$campo}=trim($valor);} 
include_once('lib_main.php');
if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}
$user_codigo=$_SESSION['user_codigo'];
$user0=data_maes('user',$user_codigo);
if(empty($user_codigo)){include('user_login0.php');return;}

// echo '<meta http-equiv="refresh" content="5">';
$modu='soft';
$info='sbresu';
$info_descri='ENCUENTRO';

//$tipoR = 1;

if($info=='sbresu'){$info_descri='CALENDARIO';}

if(empty($liga)){$liga=$user0['user_bode'];}


$docu0=data_maes('docu',$docu);
$enti0=data_maes('enti',$enti);
$liga0=data_maes('liga',$liga);
$torn0=data_maes('torn',$torn);

$sql_tbod='select distinct bode_tipo from bode0 where bode_status not in("I","X") and bode_tipo!="" and bode_tipo is not null';
$res_tbod=msql_query($sql_tbod,$link_data);
if(msql_num_rows($res_tbod)>1){$tbod_ok=1;}

$sql_imgi='select * from item0 left join imgi0 on item_codigo=imgi_item where item_status not in ("I","X") and imgi_status not in("I","X") limit 1';
$res_imgi=msql_query($sql_imgi,$link_data);
if(msql_num_rows($res_imgi)!=0){$imgi_ok=1;}

$sql_mrca='select * from mrca0 where mrca_status not in("I","X") limit 1';
$res_mrca=msql_query($sql_mrca,$link_data);
if(msql_num_rows($res_mrca)!=0){$mrca_ok=1;}

$sql_lote='select * from lote0 where lote_status not in("I","X") limit 1';
$res_lote=msql_query($sql_lote,$link_data);
if(msql_num_rows($res_lote)!=0){$lote_ok=1;}

// $maes=strtolower($maes);
$modu=strtolower($modu);
$tabla=$modu;

if(@mb_stristr('clie.prov.empl',$modu)){$tabla='enti';}
if(@mb_stristr('inve.prec.teki',$modu)){$tabla='item';}

$modu=strtolower($modu);  
$xtitulo='ENCUENTRO';

$xtitle='CALENDARIO';

$xtopcenter=$xtitle;

$fecha0=fecha0($modu);
if(empty($fecha)){$fecha=date('Y-m-d');}
$fecha1=$fecha;
$fecha2=$fecha;
//$fecha_min=date('Y-m-d',strtotime('-7 days'));
//if(empty($fecha1)){$fecha1=date('Y-m-d',strtotime('-7 days'));}
//if(empty($fecha2)){$fecha2=date('Y-m-d');}


// XMA
// and date('Y-m-d')<='2022-08-10')

if($cfg_empr=='hg01')
{
     $fecha_min=date('Y-m-d',strtotime('-45 days'));
     if(empty($fecha1)){$fecha1=date('Y-m-d',strtotime('-45 days'));}
     if(empty($fecha2)){$fecha2=date('Y-m-d');}
}
     

$dom = new DOMDocument();
     $dom->encoding = 'utf-8';
     $dom->xmlVersion = '1.0';
     $dom->formatOutput = true;

//      $src='//'.$domain.'/_lib/info_modu.js'.$js_version;
//      $script=$dom->appendChild($dom->createElement("script"," "));
//      $script->setAttribute("src",$src);
echo $dom->saveXML();


// echo '*/*/*/*/'.$liga;
// echo '*/*/*/*/'.$torn;
// echo '*/*/*/*/'.$tipo;
// echo sal_item2('20109837');
     
//  SELECT DB
if (!empty($liga) and !empty($torn) and !empty($tipo))
{include('sele_info.php');}

if(!empty($sql_info))
{
// //      $sql_info=str_replace('order by ','order by idnum1 desc, iddet desc, ',$sql_info);
//      $sql_info=str_replace('order by ','order by fecha desc, idnum1 desc, iddet desc, ',$sql_info);
// //      $sql_info=str_replace('order by idnum1,iddet ','order by idnum1 desc, iddet desc ',$sql_info);
//      $sql_info.=' limit 100';
// //      echo '*/*/*    '.$sql_info;
     $res_info=msql_query($sql_info,$link_data);
     if(msql_num_rows($res_info)==0)
     {
//           if($fecha1!=$fecha2)
//           {
//                $sql_info=str_replace($fecha1,$fecha0,$sql_info);
// //                $sql_info.=' limit 100';
//                $res_info=msql_query($sql_info,$link_data);
//           }
     }
     $msgres=number_format(msql_num_rows($res_info)).' Resultado(s)...';
}


// PANTALLA FILTROS
echo '<div id="filtros" noprint >';
{
// OCULTOS
echo '<div hide>';     
// echo '<input id="format" hide value="'.$format.'">';
// echo '<input id="limit" hide value="'.$limit.'">';
//echo '<input id="fecha2" value="'.$fecha2.'">';
$docu = "soft";
echo '<input id="docu" value="'.$docu.'">';
echo '</div>';     
     
// {$ztitulo='FILTROS'; include('ele_title.php');}
// {$ztitulo='INVENTARIOS'; include('ele_title.php');}

// $ztabla='ctas';
// include('ele_datalist.php');
     
$zobj=2;     
include('ele_break.php');

// $zid='info';
// $zlabel='Informe';
// $zvalue=$info;
  
$zid='liga';
$ztabla='liga';
$zlabel='Liga';
$zvalue=$liga; 
if(!empty($liga)){$zreado=1;}
$zondblclick='{document.getElementById("'.$zid.'").removeAttribute("disabled");}';     
// $zonchange='{location.href="?scri='.basename(__FILE__,'.php').'&'.$zid.'="+document.getElementById("'.$zid.'").value;}';
$zonchange='{fn_consulta(event);}';
$zonblur=$zonchange;
include('ele_select.php');

$zid='torn';
$ztabla='torn';
$zlabel='Torneo';
$zvalue=$torn;
$zwhere='(torn_liga="'.$liga.'")';
$zonchange='{fn_consulta(event);}';
$zonblur=$zonchange;
include('ele_select.php');

// $zid='fecha';
// $ztype='date';
// $zlabel='Fecha';
// $zvalue=$fecha;
// $zdefa=$fecha0;     
//$zonchange='{fn_consulta(event);}';
//include('ele_input.php');  

$zid      ='tipo';
$zlabel   ='Tipo';
$zvalue   =$tipo;
$zoptions ="AM,AMISTOSO;CA,CAMPEONATO;PO,PLAYOFF";
$zonchange='{fn_consulta(event);}';
$zonblur=$zonchange;
include('ele_select.php');

$zid='jornada';
  //$ztabla="soft1";
$zclass='numeric-int';
$zlabel='Jornada';
$zvalue=$jornada; 
$zobj = 2;
$zwidth=5;
$zmin=1;
$zmax=100;  
$zonchange='{fn_consulta(event);}';
include('ele_input.php');  
     

$zid='btn_consul'; 
$zlabel='Consultar';
$zalign='right';
// $zonclick='{fn_consulta(event);}';
//$zonclick='{document.getElementById("fecha1").value="";document.getElementById("fecha2").value="";fn_consulta(event);}';
include('ele_button.php');

echo '<span style="float:right; white-space:nowrap;">';     
echo $msgres;
echo '</span>';     

include('ele_break.php');
     
$zobj=3;     
$zid='equipo';
$zlabel='Equipo';
$zvalue=$equipo;
$ztabla='team';
$zonchange='{fn_consulta(event);}';
$zonblur=$zonchange;
include('ele_select.php');
     


$zobj=1;
include('ele_break.php');
          

     
// $zid='btn_grabar'; 
// $zlabel='Grabar';
// $zalign='right';
// $zonclick='{save_docu(event);}';
// include('ele_button.php');
     
     
     
}

     
$zobj=2;     
include('ele_break.php');
     
// TITULO     
{
// $ztitulo=$xtitulo;     
// include('ele_title.php');
     
//      $zid='orden';
//      $zvalue=$orden;
//      $zlabel='Ordenar X';
//      $zoptions='';
//      if($modu=='inve')     
//      {
//           $zoptions.='Linea;';
//      }     
//      if($modu=='vtas')     
//      {
//           $zoptions.='Zona;';
//           $zoptions.='Linea;';
//      }
//      if($modu=='comp')     
//      {
//           $zoptions.='T.Prov.;';
//           $zoptions.='CAIR;';
//      }
//      $zoptions.='Código;';
//      $zoptions.='Nombre;';


//      $zonchange='{fn_consulta(event);}';
//      $zalign='right';
//      include('ele_select.php');

}     
// include('ele_break.php');
echo '</div>';


// RESULTADO
echo '<div id="main2" >';

{
     if(gettype($res_info)!='NULL')
     {
          $zreso=$res_info;
          $zinfo=$info;
          $zname=$zname;
          $zhead=0;
          $zgfsize=0.9;
//           $zblockrows=3;
//           $zheightrow='1.5em;';
          $zheightrow='3em;';
          $zblockidnum=1;
          include('ele_grid.php');     
          
//           if($info=='iiblog')
//           {if($idx<msql_num_rows($res_krdx)){echo '<div id="pgbreak" style="height:2em;"></div>';}}

     }
}     

echo '</div>';     

?>

<script>
function fn_consulta(event)
{
     var xhref='',dataget;
     xhref=xhref+'?scri=<?php echo basename(__FILE__,'.php');?>';
     
     document.getElementById("main2").innerHTML='Espere...';
     dataget=new_FormData('filtros','get');
     xhref=xhref+dataget;

     location.href=xhref;
}
</script>

<script>document.title="<?php echo $xtitle;?>"</script>
<script>document.getElementById('topcenter').innerHTML="<?php echo $xtopcenter;?>"</script>
<!-- <script>set_noback();</script> -->
<!-- <script>window.onbeforeunload = function(){return 'Are you sure you want to leave?';};</script> -->

